Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface EnterpriseSearchControl

All Superinterfaces
  FullTextSearchControl<ResultDocument>, SearchControl<ResultDocument>

    public interface EnterpriseSearchControl

extends FullTextSearchControl<ResultDocument>

This class performs full text search outside the scope of the BEA repositories. You can call the search APIs directly with the property and text search methods. You can also use this control to access the FullTextSearchBuilder to construct more complex query parameters, then use those queries to construct a FullTextSearch object to be used in the search. *

Use of this class assumes the Autonomy Search Engine is running.

Instantiate the control in a page flow as follows:

// Enterprise search across all available Autonomy resources, excluding BEA repositories and GroupSpace
`@Control`
< EnterpriseSearchControlBean <ResultDocument> enterpriseSearchControl;

// Sort on a particular field, TITLEk and include only a few key metadatafields in the printed results
`@Control ()`
`@EnterpriseSearchControl.SearchParams(sortString="TITLE:alphabetical", printFields="title,author,drefullfilename")`
EnterpriseSearchControlBean <ResultDocument> titleSearchControl;

// Override default ports
`@Control()`
`@EnterpriseSearchControl.SearchParams(maxResults=50, pageSize=25, limitRelevanceScore=30, DiSH_aciPort=20100, IDOL_aciPort=9015)`
EnterpriseSearchControlBean <ResultDocument> customSearchControl;

Nested Class Summary
`static interface` | `EnterpriseSearchControl.SearchParams` Set the defaults for search parameters

Method Summary
`Map<String,DiSHChild>` | `getAvailableServices()` Get a Map of the available Autonomy services to which the search will be restricted.
`Map<String,DiSHChild>` | `getConfiguredServices()` Get a Map of the Autonomy services that are configured, but not necessarily available.
`com.bea.apps.groupspace.search.utils.EnterpriseSearchBuilder` | `getEnterpriseSearchBuilder()` Access the TextSearchBuilder for more complex query construction for text and metadata
`com.bea.apps.groupspace.search.utils.MetadataSearchBuilder` | `getMetadataSearchBuilder()` Access the MetadataSearchBuilder for more complex query construction for metadata
`Set<String>` | `getSearchFields()` Show indexed fields that are available to search.
`void` | `limitSearchToDocTypes(Set<String> docTypeSuffix)` Limit search to only those documents ending with this suffix.
`com.bea.p13n.pagination.SortableFilterablePagedResult<ResultDocument>` | `searchMetadata(com.bea.content.expression.IMetadataQueryParameter param)` Search only the metadata

Methods inherited from interface com.bea.apps.groupspace.search.controls.FullTextSearchControl
`allOfTheseWords, anyOfTheseWords, clearMetadataParameters, getSearchDatabases, getTextSearchBuilder, search, setMetadataParameter, setMetadataParameters, setSearchDatabases, setSearchScope, textContains, textEquals`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### getAvailableServices

    Map<String,DiSHChild> getAvailableServices()
                                               throws Exception

  Get a Map of the available Autonomy services to which the search will be restricted. The Map is the display name of the DiSHChild and the DiSHChild. See Javadocs on DiSHChild //todo link to this

  Throws
    `Exception`

### getConfiguredServices

    Map<String,DiSHChild> getConfiguredServices()
                                                throws Exception

  Get a Map of the Autonomy services that are configured, but not necessarily available. The Map is the display name of the DiSHChild and the DiSHChild. See Javadocs on DiSHChild

  Throws
    `Exception`

### getSearchFields

    Set<String> getSearchFields()
                                throws Exception

  Show indexed fields that are available to search.

  Throws
    `Exception`

### limitSearchToDocTypes

    void limitSearchToDocTypes(Set<String> docTypeSuffix)
                               throws Exception

  Limit search to only those documents ending with this suffix. For example, to find all PDF documents, the suffix would be "pdf". Html oocs could be the set of suffixes: html, htm. You can search any combination of document types in this manner. These criteria will be combined with the other criteria specified in the argumens to the findDocuments() methods. This will override the property ;limitDocTypes(), which specifies a single doc type to restrict the search to.

  Throws
    `Exception`

### getEnterpriseSearchBuilder

    com.bea.apps.groupspace.search.utils.EnterpriseSearchBuilder getEnterpriseSearchBuilder()

  Access the TextSearchBuilder for more complex query construction for text and metadata

### getMetadataSearchBuilder

    com.bea.apps.groupspace.search.utils.MetadataSearchBuilder getMetadataSearchBuilder()

  Access the MetadataSearchBuilder for more complex query construction for metadata

### searchMetadata

    com.bea.p13n.pagination.SortableFilterablePagedResult<ResultDocument> searchMetadata(com.bea.content.expression.IMetadataQueryParameter param)
                                                                                         throws Exception

  Search only the metadata

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved